Skip to main content
POST

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_id
string
required

account_id corresponding to an account

Maximum string length: 50
Example:

"ACC00001"

Body

application/json

Payload to initiate a purchase

Create a purchase for an account

pricePlanId
string
required

Id of the price plan

quantity
integer<int32>
rateCardQuantities
object
idempotencyKey
string
purchasePlanOverride
object

entitlements override options for purchase of a price plan for an account

associationOverride
object
effectiveFrom
string<date>
effectiveUntil
string<date>
expiryDate
string<date-time>
type
enum<string>

Specifies whether this purchase is for granting entitlements or for an association. If left null, ENTITLEMENT_GRANT is taken as default

Available options:
ENTITLEMENT_GRANT,
ASSOCIATION

Response

Response for initiation of a purchase of entitlement plan for an account

Represents a Purchase

id
string
required
accountId
string
required
Minimum string length: 1
pricePlanId
string
required
Minimum string length: 1
pricePlanVersion
integer<int32>
required
createdAt
string<date-time>
required
status
enum<string>
required

Status of the purchase

Available options:
SUCCESS,
FAILURE,
PENDING,
IN_PROGRESS,
PROPOSAL_ACTIVE,
PROPOSAL_APPROVED,
PROPOSAL_DECLINED,
PROPOSAL_EXPIRED
type
enum<string>
required
Available options:
ENTITLEMENT_GRANT,
ASSOCIATION
quantity
integer<int32>
rateCardQuantities
object
idempotencyKey
string
purchasePlanOverride
object
associationOverride
object
updatedAt
string<date-time>
effectiveFrom
string<date>
effectiveUntil
string<date>
expiryDate
string<date-time>
price
number
invoiceId
string
invoiceCurrency
string
comment
string